Index: CKEditor/releases/latest/_source/lang/lv.js
===================================================================
--- CKEditor/releases/latest/_source/lang/lv.js	(revision 4887)
+++ CKEditor/releases/latest/_source/lang/lv.js	(revision 5194)
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Forma',
 		checkbox		: 'Atzīmēšanas kastīte',
-		radio		: 'Izvēles poga',
+		radio			: 'Izvēles poga',
 		textField		: 'Teksta rinda',
 		textarea		: 'Teksta laukums',
 		hiddenField		: 'Paslēpta teksta rinda',
 		button			: 'Poga',
-		select	: 'Iezīmēšanas lauks',
+		select			: 'Iezīmēšanas lauks',
 		imageButton		: 'Attēlpoga',
 		notSet			: '<nav iestatīts>',
@@ -89,9 +93,17 @@
 		ok				: 'Darīts!',
 		cancel			: 'Atcelt',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'General', // MISSING
 		advancedTab		: 'Izvērstais',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
+		validateNumberFailed : 'This value is not a number.', // MISSING
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
 		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Izvērstais',
 		type		: 'Hipersaites tips',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Iezīme šajā lapā',
 		toEmail		: 'E-pasts',
-		target		: 'Mērķis',
-		targetNotSet	: '<nav iestatīts>',
-		targetFrame	: '<ietvars>',
-		targetPopup	: '<uznirstošā logā>',
-		targetNew	: 'Jaunā logā (_blank)',
-		targetTop	: 'Visredzamākajā logā (_top)',
-		targetSelf	: 'Tajā pašā logā (_self)',
-		targetParent	: 'Esošajā logā (_parent)',
+		targetFrame		: '<ietvars>',
+		targetPopup		: '<uznirstošā logā>',
 		targetFrameName	: 'Mērķa ietvara nosaukums',
 		targetPopupName	: 'Uznirstošā loga nosaukums',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Resizable', // MISSING
 		popupStatusBar	: 'Statusa josla',
-		popupLocationBar	: 'Atrašanās vietas josla',
+		popupLocationBar: 'Atrašanās vietas josla',
 		popupToolbar	: 'Rīku josla',
 		popupMenuBar	: 'Izvēlnes josla',
@@ -144,5 +151,4 @@
 		id				: 'Id', // MISSING
 		langDir			: 'Valodas lasīšanas virziens',
-		langDirNotSet	: '<nav iestatīts>',
 		langDirLTR		: 'No kreisās uz labo (LTR)',
 		langDirRTL		: 'No labās uz kreiso (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Rāmja izmērs',
 		align		: 'Novietojums',
-		alignNotSet	: '<nav norādīts>',
 		alignLeft	: 'Pa kreisi',
 		alignCenter	: 'Centrēti',
@@ -211,4 +216,5 @@
 		widthPx		: 'pikseļos',
 		widthPc		: 'procentuāli',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Augstums',
 		cellSpace	: 'Rūtiņu atstatums',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Darbība',
 		method		: 'Metode',
-		encoding	: 'Encoding', // MISSING
-		target		: 'Mērķis',
-		targetNotSet	: '<nav iestatīts>',
-		targetNew	: 'Jaunā logā (_blank)',
-		targetTop	: 'Visredzamākajā logā (_top)',
-		targetSelf	: 'Tajā pašā logā (_self)',
-		targetParent	: 'Esošajā logā (_parent)'
+		encoding	: 'Encoding' // MISSING
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Attēlpogas īpašības',
 		menu		: 'Attēla īpašības',
-		infoTab	: 'Informācija par attēlu',
+		infoTab		: 'Informācija par attēlu',
 		btnUpload	: 'Nosūtīt serverim',
-		url		: 'URL',
-		upload	: 'Augšupielādēt',
-		alt		: 'Alternatīvais teksts',
+		upload		: 'Augšupielādēt',
+		alt			: 'Alternatīvais teksts',
 		width		: 'Platums',
-		height	: 'Augstums',
+		height		: 'Augstums',
 		lockRatio	: 'Nemainīga Augstuma/Platuma attiecība',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Atjaunot sākotnējo izmēru',
-		border	: 'Rāmis',
-		hSpace	: 'Horizontālā telpa',
-		vSpace	: 'Vertikālā telpa',
+		border		: 'Rāmis',
+		hSpace		: 'Horizontālā telpa',
+		vSpace		: 'Vertikālā telpa',
 		align		: 'Nolīdzināt',
 		alignLeft	: 'Pa kreisi',
 		alignRight	: 'Pa labi',
-		preview	: 'Pārskats',
 		alertUrl	: 'Lūdzu norādīt attēla hipersaiti',
-		linkTab	: 'Hipersaite',
+		linkTab		: 'Hipersaite',
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Flash īpašības',
 		propertiesTab	: 'Properties', // MISSING
-		title		: 'Flash īpašības',
-		chkPlay		: 'Automātiska atskaņošana',
-		chkLoop		: 'Nepārtraukti',
-		chkMenu		: 'Atļaut Flash izvēlni',
-		chkFull		: 'Allow Fullscreen', // MISSING
- 		scale		: 'Mainīt izmēru',
+		title			: 'Flash īpašības',
+		chkPlay			: 'Automātiska atskaņošana',
+		chkLoop			: 'Nepārtraukti',
+		chkMenu			: 'Atļaut Flash izvēlni',
+		chkFull			: 'Allow Fullscreen', // MISSING
+ 		scale			: 'Mainīt izmēru',
 		scaleAll		: 'Rādīt visu',
 		scaleNoBorder	: 'Bez rāmja',
@@ -411,38 +415,38 @@
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
-		align		: 'Nolīdzināt',
-		alignLeft	: 'Pa kreisi',
-		alignAbsBottom: 'Absolūti apakšā',
-		alignAbsMiddle: 'Absolūti vertikāli centrēts',
+		accessSameDomain: 'Same domain', // MISSING
+		accessNever		: 'Never', // MISSING
+		align			: 'Nolīdzināt',
+		alignLeft		: 'Pa kreisi',
+		alignAbsBottom	: 'Absolūti apakšā',
+		alignAbsMiddle	: 'Absolūti vertikāli centrēts',
 		alignBaseline	: 'Pamatrindā',
-		alignBottom	: 'Apakšā',
-		alignMiddle	: 'Vertikāli centrēts',
-		alignRight	: 'Pa labi',
+		alignBottom		: 'Apakšā',
+		alignMiddle		: 'Vertikāli centrēts',
+		alignRight		: 'Pa labi',
 		alignTextTop	: 'Teksta augšā',
-		alignTop	: 'Augšā',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
-		bgcolor	: 'Fona krāsa',
-		width	: 'Platums',
-		height	: 'Augstums',
-		hSpace	: 'Horizontālā telpa',
-		vSpace	: 'Vertikālā telpa',
-		validateSrc : 'Lūdzu norādi hipersaiti',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		alignTop		: 'Augšā',
+		quality			: 'Quality', // MISSING
+		qualityBest		: 'Best', // MISSING
+		qualityHigh		: 'High', // MISSING
+		qualityAutoHigh	: 'Auto High', // MISSING
+		qualityMedium	: 'Medium', // MISSING
+		qualityAutoLow	: 'Auto Low', // MISSING
+		qualityLow		: 'Low', // MISSING
+		windowModeWindow: 'Window', // MISSING
+		windowModeOpaque: 'Opaque', // MISSING
+		windowModeTransparent : 'Transparent', // MISSING
+		windowMode		: 'Window mode', // MISSING
+		flashvars		: 'Variables for Flash', // MISSING
+		bgcolor			: 'Fona krāsa',
+		width			: 'Platums',
+		height			: 'Augstums',
+		hSpace			: 'Horizontālā telpa',
+		vSpace			: 'Vertikālā telpa',
+		validateSrc		: 'Lūdzu norādi hipersaiti',
+		validateWidth	: 'Width must be a number.', // MISSING
+		validateHeight	: 'Height must be a number.', // MISSING
+		validateHSpace	: 'HSpace must be a number.', // MISSING
+		validateVSpace	: 'VSpace must be a number.' // MISSING
 	},
 
@@ -478,21 +482,22 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path', // MISSING
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist : 'Numurēts saraksts',
-	bulletedlist : 'Izcelts saraksts',
-	indent : 'Palielināt atkāpi',
-	outdent : 'Samazināt atkāpi',
+	numberedlist	: 'Numurēts saraksts',
+	bulletedlist	: 'Izcelts saraksts',
+	indent			: 'Palielināt atkāpi',
+	outdent			: 'Samazināt atkāpi',
 
 	justify :
 	{
-		left : 'Izlīdzināt pa kreisi',
-		center : 'Izlīdzināt pret centru',
-		right : 'Izlīdzināt pa labi',
-		block : 'Izlīdzināt malas'
-	},
-
-	blockquote : 'Blockquote', // MISSING
+		left	: 'Izlīdzināt pa kreisi',
+		center	: 'Izlīdzināt pret centru',
+		right	: 'Izlīdzināt pa labi',
+		block	: 'Izlīdzināt malas'
+	},
+
+	blockquote : 'Block Quote', // MISSING
 
 	clipboard :
@@ -502,28 +507,29 @@
 		copyError	: 'Jūsu pārlūkprogrammas drošības iestatījumi nepieļauj editoram automātiski veikt kopēšanas darbību.  Lūdzu, izmantojiet (Ctrl+C), lai veiktu šo darbību.',
 		pasteMsg	: 'Lūdzu, ievietojiet tekstu šajā laukumā, izmantojot klaviatūru (<STRONG>Ctrl+V</STRONG>) un apstipriniet ar <STRONG>Darīts!</STRONG>.',
-		securityMsg	: 'Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.' // MISSING
+		securityMsg	: 'Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.', // MISSING
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'Ievietot no Worda',
-		title : 'Ievietot no Worda',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'Ievietot no Worda',
+		title			: 'Ievietot no Worda',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Ievietot kā vienkāršu tekstu',
-		title : 'Ievietot kā vienkāršu tekstu'
+		button	: 'Ievietot kā vienkāršu tekstu',
+		title	: 'Ievietot kā vienkāršu tekstu'
 	},
 
 	templates :
 	{
-		button : 'Sagataves',
-		title : 'Satura sagataves',
-		insertOption: 'Replace actual contents', // MISSING
-		selectPromptMsg: 'Lūdzu, norādiet sagatavi, ko atvērt editorā<br>(patreizējie dati tiks zaudēti):',
-		emptyListMsg : '(Nav norādītas sagataves)'
+		button			: 'Sagataves',
+		title			: 'Satura sagataves',
+		insertOption	: 'Replace actual contents', // MISSING
+		selectPromptMsg	: 'Lūdzu, norādiet sagatavi, ko atvērt editorā<br>(patreizējie dati tiks zaudēti):',
+		emptyListMsg	: '(Nav norādītas sagataves)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Stils',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label		: 'Stils',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Styles', // MISSING
+		panelTitle2	: 'Inline Styles', // MISSING
+		panelTitle3	: 'Object Styles' // MISSING
 	},
 
 	format :
 	{
-		label : 'Formāts',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'Formāts',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
-
-		tag_p : 'Normāls teksts',
-		tag_pre : 'Formatēts teksts',
-		tag_address : 'Adrese',
-		tag_h1 : 'Virsraksts 1',
-		tag_h2 : 'Virsraksts 2',
-		tag_h3 : 'Virsraksts 3',
-		tag_h4 : 'Virsraksts 4',
-		tag_h5 : 'Virsraksts 5',
-		tag_h6 : 'Virsraksts 6',
-		tag_div : 'Rindkopa (DIV)'
+		label		: 'Formāts',
+		panelTitle	: 'Formāts',
+
+		tag_p		: 'Normāls teksts',
+		tag_pre		: 'Formatēts teksts',
+		tag_address	: 'Adrese',
+		tag_h1		: 'Virsraksts 1',
+		tag_h2		: 'Virsraksts 2',
+		tag_h3		: 'Virsraksts 3',
+		tag_h4		: 'Virsraksts 4',
+		tag_h5		: 'Virsraksts 5',
+		tag_h6		: 'Virsraksts 6',
+		tag_div		: 'Rindkopa (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Šrifts',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'Šrifts',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label		: 'Šrifts',
+		voiceLabel	: 'Font', // MISSING
+		panelTitle	: 'Šrifts'
 	},
 
 	fontSize :
 	{
-		label : 'Izmērs',
-		voiceLabel : 'Font Size', // MISSING
-		panelTitle : 'Izmērs',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		label		: 'Izmērs',
+		voiceLabel	: 'Font Size', // MISSING
+		panelTitle	: 'Izmērs'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Teksta krāsa',
-		bgColorTitle : 'Fona krāsa',
-		auto : 'Automātiska',
-		more : 'Plašāka palete...'
+		textColorTitle	: 'Teksta krāsa',
+		bgColorTitle	: 'Fona krāsa',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Automātiska',
+		more			: 'Plašāka palete...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title			: 'Spell Check As You Type', // MISSING
+		enable			: 'Enable SCAYT', // MISSING
+		disable			: 'Disable SCAYT', // MISSING
+		about			: 'About SCAYT', // MISSING
+		toggle			: 'Toggle SCAYT', // MISSING
+		options			: 'Options', // MISSING
+		langs			: 'Languages', // MISSING
+		moreSuggestions	: 'More suggestions', // MISSING
+		ignore			: 'Ignore', // MISSING
+		ignoreAll		: 'Ignore All', // MISSING
+		addWord			: 'Add Word', // MISSING
+		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		optionsTab		: 'Options', // MISSING
+		languagesTab	: 'Languages', // MISSING
+		dictionariesTab	: 'Dictionaries', // MISSING
+		aboutTab		: 'About' // MISSING
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'About CKEditor', // MISSING
+		dlgTitle	: 'About CKEditor', // MISSING
+		moreInfo	: 'For licensing information please visit our web site:', // MISSING
+		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
+		anchor	: 'Anchor', // MISSING
+		flash	: 'Flash Animation', // MISSING
+		div		: 'Page Break', // MISSING
+		unknown	: 'Unknown Object' // MISSING
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
